<div ng-controller="reparadorController" ng-cloak>
  <div layout="row">
    <div flex="100">
      <md-toolbar class="md-table-toolbar md-default">
        <div class="md-toolbar-tools">
          <h2 class="md-title">Reparadores</h2>
          <div class="flex" flex=""></div>
          <button class="md-icon-button md-button md-ink-ripple" type="button" ng-click="newReparador()" aria-label="add_circle">
            <md-icon class="material-icons">add_circle</md-icon>
            <div class="md-ripple-container"></div>
          </button>
        </div> 
        <md-input-container class="md-block" flex-gt-sm>
          <label>Filtro de b&uacute;squeda</label>
          <input ng-model='textReparadoresFilter' />
        </md-input-container>		
      </md-toolbar>
      <md-table-container>
        <table md-table multiple ng-model="selected" md-progress="promise">
          <thead fix-head md-head>
            <tr md-row>
              <th md-column md-order-by="nombreToLower" ng-click="sortBy('nombre')"><span>NOMBRE REPARADOR</span></th>
            </tr>
          </thead>
          <tbody md-body>
            <tr md-row md-select-id="id" md-auto-select ng-repeat="reparador in reparadores | filter: reparadoresFilter | orderBy:propertyName:reverse" " ng-click="reparadorDetails(reparador.id)">
              <td md-cell>{{reparador.nombre}}</td>
            </tr>
          </tbody>
        </table>
      </md-table-container>
    </div>
    <div style="display: none" flex="100">
      <div class="md-dialog-container" id="reparadorDialog" flex="100">
        <md-dialog aria-label="{{dialogAction}}" flex="80">
        <md-toolbar>
              <div class="md-toolbar-tools">
                <h2>{{dialogAction}}</h2>
                <span flex></span>
                <md-button class="md-icon-button" ng-click="cancel()"> 
                  <md-icon aria-label="Cerrar"><i class="material-icons">clear</i></md-icon>
                </md-button>
              </div>
            </md-toolbar>
          <form name="reparadorForm" id="reparadorForm" novalidate class="panel panel-default" ng-submit="reparadorForm.$valid && saveReparador(reparador)">
            
            <md-dialog-content>
              <div layout="column" flex="95">
                <md-input-container class="md-block" flex-gt-sm> 
                  <label>Nombre</label> 
                  <input md-maxlength="400" required name="nombre" ng-model="reparador.nombre" />
                  
                  <div ng-messages="reparadorForm.nombre.$error">
                    <div ng-message="required">
                      <b>Nombre</b> obligatorio.
                    </div>
                    <div ng-message="md-maxlength">
                      El <b>Nombre</b> no debe superar los 400 caracteres.
                    </div>
                  </div>
                </md-input-container>
                <div layout-gt-sm="row">
                  <md-input-container class="md-block" flex-gt-sm> 
                    <label>Tel&eacute;fono fijo</label> 
                    <input md-maxlength="500" maxlength="500" name="telefonoFijo" ng-model="reparador.telefonoFijo"  />
                    
                    <div ng-messages="reparadorForm.telefonoFijo.$error">
                      <div ng-message="md-maxlength">
                        El <b>Tel&eacute;fono fijo</b> no debe superar los 500 caracteres.
                      </div>
                    </div>
                  </md-input-container>
                  
                  <div flex="5" hide-xs hide-sm>
                    <!-- Spacer //-->
                  </div>
                  
                  <md-input-container class="md-block" flex-gt-sm> 
                    <label>Tel&eacute;fono mobil</label> 
                    <input md-maxlength="500" maxlength="500" name="telefonoMobil" ng-model="reparador.telefonoMobil" />
                    
                    <div ng-messages="reparadorForm.telefonoMobil.$error">
                      <div ng-message="md-maxlength">
                        El <b>Tel&eacute;fono mobil</b> no debe superar los 500 caracteres.
                      </div>
                    </div>
                  </md-input-container>
                </div>
                <div layout-gt-sm="row">
                  <md-input-container class="md-block" flex-gt-sm> 
                    <label>Fax</label> 
                    <input md-maxlength="500" maxlength="500" name="fax" ng-model="reparador.fax" />
                    
                    <div ng-messages="reparadorForm.fax.$error">
                      <div ng-message="md-maxlength">
                        El <b>Fax</b> no debe superar los 500 caracteres.
                      </div>
                    </div>
                  </md-input-container>
                  
                  <div flex="5" hide-xs hide-sm>
                    <!-- Spacer //-->
                  </div>
                  
                  <md-input-container class="md-block" flex-gt-sm> 
                    <label>Email</label> 
                    <input md-maxlength="500" maxlength="500" name="email" ng-model="reparador.email" />
                    
                    <div ng-messages="reparadorForm.email.$error">
                      <div ng-message="md-maxlength">
                        El <b>Email</b> no debe superar los 500 caracteres.
                      </div>
                    </div>
                  </md-input-container>
                </div>
                <div layout-gt-sm="row">
                  <md-input-container class="md-block" flex-gt-sm> 
                  	<p>Tipo</p>

					<md-radio-group required ng-model="reparador.tipo" layout="row"> 
						<md-radio-button value="P">Propio</md-radio-button> 
						<md-radio-button value="E">Externo</md-radio-button>
					</md-radio-group>
					<div ng-messages="reparadorForm.tipo.$error">
                    	<div ng-message="required">
                      		<b>Tipo</b> obligatorio.
                    	</div>
                  	</div>
                  </md-input-container>
                  
                  <div flex="5" hide-xs hide-sm>
                    <!-- Spacer //-->
                  </div>
                  
                  <md-input-container class="md-block" flex-gt-sm> 
                    <label>Coste</label> 
                    <input maxlength="6" required ng-pattern="/^\d{1,3}(\.\d{1,2})?$/" name="coste" ng-model="reparador.coste" />
                    
                    <div ng-messages="reparadorForm.coste.$error">
                      <div ng-message="required">
                        <b>Coste</b> obligatorio.
                      </div>
                      <div ng-message="pattern">
                        El <b>Coste</b> debe tener un formato <b>###.##</b>.
                      </div>
                    </div>
                  </md-input-container>
                </div>
                
        		<md-input-container>
                	<label>Gremios</label>
                	<md-select ng-model="selectedGremios" multiple>
                		<md-optgroup label="gremios">
                  			<md-option ng-value="gremio" ng-repeat="gremio in gremios" ng-selected="isSelected(gremio.id)">{{ gremio.nombre }}</md-option>
                		</md-optgroup>
              		</md-select>
            	</md-input-container>
        		
        		
              </md-dialog-content>
              
              <md-dialog-actions layout="row">
                <md-button type="submit" id="saveReparador" class="md-raised md-primary">Guardar</md-button>
                <md-button type="button" class="md-raised md-warn" ng-click="removeReparador(reparador)" ng-if="reparador.id">Eliminar</md-button>
              </md-dialog-actions>
            </form>
          </md-dialog>
        </div>
      </div>
    </div>
  </div>
  
